/*
 * utils.cc
 *
 *  Created on: Dec 22, 2010
 *      Author: lacasta
 */

#include <iostream>
#include <iomanip>
#include <string>
#include <cmath>
#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h>
#include <DAQ++/logger.h>
#include "utils.h"
#include "daqppSOAP.nsmap"



void daqpp_wait(double secs)
{
    struct timeval t;
    double frac;
    frac = fmod(secs, 1.0);
    secs = floor(secs);
    t.tv_sec = (long)secs;
    t.tv_usec = (long)(frac*1000000.0);
    if (select(0, (fd_set *)0, (fd_set *)0, (fd_set *)0, &t) != 0) {
        if (errno!=EINTR) {
            DAQpp::ostream odaq;
            odaq << DAQpp::loglevel(DAQpp::Log::error) << "Error in DAQpp::wait: " << strerror(errno) << std::endl;
        }
    }
}

