#ifndef __ModuleDecRef_h__
#define __ModuleDecRef_h__
#include <iostream>
#include <iomanip>

void module_decref(DAQpp::Module *m);

struct free_modules :  public std::unary_function<Observer *,void> {
      DAQpp::RunManager *rm;
    free_modules(DAQpp::RunManager *r) :
        rm(r)
    {
    }
    void operator()(Observer *o)
    {
        DAQpp::Module *m = dynamic_cast<DAQpp::Module *>(o);
#ifdef DAQpp_DEBUG
        std::cout << "...freeing module [1]" << std::hex << (void *)o << std::dec << std::endl;
#endif
        if (!m)
            return;

#ifdef DAQpp_DEBUG
        std::cout << "...freeing module [2] decresing reference"<< std::endl;
#endif
        module_decref(m);
        rm->deleteModule(m );
    }
};

#endif
