#ifndef __PYDAQPP_TRIGGER_H__
#define __PYDAQPP_TRIGGER_H__
#include <Python.h>
#include <DAQ++/DAQmanager.h>
/**
 * This class is the basis for tha DAQ trigger. It will store the
 * pointer to a callable object
 */
class pyDAQtrigger : public DAQpp::DAQTrigger
{
    private:
        PyObject *pyfunc;

    public:
        pyDAQtrigger(PyObject *obj);
        ~pyDAQtrigger()
        {
            Py_XDECREF(pyfunc);
        }
        bool operator()();
        static bool running;
};
extern pyDAQtrigger *theTrigger;

#endif /*PYDAQPP_TRIGGER_H_*/
