#!/usr/bin/env python

""" We implement here a very simple module
"""
import daqpp

from simpleMonitor import MyMonitor

class Rmanager(daqpp.RunManager):
    def __init__(self,id):
        super(Rmanager,self).__init__(id)
        monitor = MyMonitor()
        monitor.timeout = 100;
        self.set_monitor(monitor)        

    def GetReady(self):
        print self.get_id(),"-> GetReady"
        daqpp.RunManager.GetReady(self)

    def PrepareForRun(self):
        print self.get_id(),"-> PrepareForRun"
        daqpp.RunManager.PrepareForRun(self)

    def EndOfRun(self):
        print self.get_id(),"-> EndOfRun"
        daqpp.RunManager.EndOfRun(self)
        
    def writeData(self,buffer):
        return buffer.size
