#!/usr/bin/env python
import sys
import time

import daqpp
class MyModule(daqpp.Module):
    def __init__(self,id):
        super(MyModule,self).__init__(id)
        self.array =  []
        
    def PrepareForRun(self):
        print self.get_id(),"\t+-> PrepareForRun"
        return 1

    def Start(self,mode):
        print self.get_id(),"\t+-> Start",mode
        return 1

    def Stop(self,mode):
        print self.get_id(),"\t+-> Stop",mode
        return 1

    def hasData(self):
        xx = (random.random() < self.eff)
        return xx

    def getData(self):
        return self.array
        
def main():
    for x in xrange(0,1000000):
        m = MyModule('main%d' % x)
        print '\r%4d' % m.refcnt(),
        if x>100:
            del m

        print ' %6d' % x,
        sys.stdout.flush()
        time.sleep(0.01)
        

if __name__=='__main__':
    try:
        main()
    except KeyboardInterrupt:
        pass
    
#----------------------------------------------------------------------------
