#!/usr/bin/env python

import sys

import daqpp
import random
import array

class Rmanager(daqpp.RunManager):
    def __init__(self,id):
        super(Rmanager, self).__init__(id)
        
    def GetReady(self):
        print self.get_id(),"-> GetReady"

    def PrepareForRun(self):
        print self.get_id(),"-> PrepareForRun"

    def EndOfRun(self):
        print self.get_id(),"-> EndOfRun"
        m = self.get_monitor()


    def writeData(self,buff):
        #st = self.GetStatus()
        #print '\r%s' % st,
        return 1

class MyModule(daqpp.Module):
    def __init__(self,id,size=256):
        super(MyModule, self).__init__(id)
        self.array =  array.array('d',[0 for x in range(0,size)])
        self.cntr=0


    def hasData(self):
        return True

    def getData(self):
        self.array[0] = self.cntr
        self.cntr += 1
        self.cntr = (self.cntr % 100)
        return self.array;


#------------------------------------------------------------------

kkdvk=3
r = Rmanager('rm')
print "ID: ", r.get_id()
print r.GetStatus()

m = MyModule('md')
r.addModule(m)

r.Activate()
r.set_max_events(1000)

daqpp.StartRun(0)
print 'Hola'
print r.GetStatus()
    
#------------------------------------------------------------------

