#ifndef __SimpleModule_h__
#define __SimpleModule_h__

#include <DAQ++/Module.h>

class SimpleModule: public DAQpp::Module
{
public:
    SimpleModule(const DAQpp::DAQid &id);
    virtual ~SimpleModule();

    bool hasData();
    char *getData(int &size);

    int PrepareForRun ();
    int Start (int rc= 0);

    int Stop (int rc= 0);

    int Pause ();
    int Continue ();
    int Reset ();
    int GetReady ();
    int Trigger ();
    void flush ();

};

#endif /*__SimpleModule_h__*/
