#ifndef __SimpleRunManager_h__
#define __SimpleRunManager_h__

#include <DAQ++/RunManager.h>

class SimpleRunManager : public DAQpp::RunManager
{
public:
	SimpleRunManager(const DAQpp::DAQid &id, DAQpp::RunCommand *rc=0);
	virtual ~SimpleRunManager();
	
	void GetReady();
	void PrepareForRun();
	void Stop();
	void Start();
	void EndOfRun();
};

#endif /*__SimpleRunManager_h__*/
