#include <iostream>
#include <iomanip>
#include <string>
#include "utils.h"

using namespace DAQpp;



std::ostream &operator<<(std::ostream &os, const RunManager &rm)
{
    os << "RunManager " << rm.get_id()
       << " is " << ( rm.isActive() ? "active" : "idle" )
       << std::endl;

    os << rm.GetStatus() << std::endl;
    return os;
}

std::ostream &operator<<(std::ostream &os, const Module &rm)
{
    os << "Module " << rm.get_id()
       << std::endl;

    os << rm.GetStatus() << std::endl;
    return os;
}

