#!/usr/bin/env python

import os, sys

def main():
    print "****", os.getenv("top_srcdir", "***unknown ***")
    topdir = sys.argv[1]
    wsdl=open(os.path.join(topdir,"daqpp.wsdl"), "r")
    fout=open(os.path.join(topdir,"daqpp_wsdl.h"), "w")
    
    fout.write("const char daqpp_wsdl[] = {\n") 
    for line in wsdl:
        if line[-1]=='\n':
            line = line[0:-1]
            
        ss = line.rstrip().lstrip()
        ss = ss.replace('"','\\"')
        if len(ss)>0:
            fout.write( "\"%s\\n\" \\\n" % ss )
    
    fout.write("};\n")
    fout.close()
    wsdl.close();

if __name__ == "__main__":
    main()