const char daqpp_wsdl[] = {
"<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>\n" \
"<wsdl:definitions xmlns:soap=\"http://schemas.xmlsoap.org/wsdl/soap/\" xmlns:tns=\"http://localhost/daqpp/\" xmlns:wsdl=\"http://schemas.xmlsoap.org/wsdl/\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" name=\"daqpp\" targetNamespace=\"http://localhost/daqpp/\">\n" \
"<wsdl:types>\n" \
"<xsd:schema targetNamespace=\"http://localhost/daqpp/\">\n" \
"<!--  <xsd:element name=\"getModuleList\">\n" \
"<xsd:complexType>\n" \
"<xsd:sequence>\n" \
"<xsd:element name=\"in\" type=\"xsd:string\"/>\n" \
"</xsd:sequence>\n" \
"</xsd:complexType>\n" \
"</xsd:element>\n" \
"-->\n" \
"<xsd:element name=\"getModuleListResponse\">\n" \
"<xsd:complexType>\n" \
"<xsd:sequence>\n" \
"<xsd:element name=\"out\" type=\"xsd:string\"/>\n" \
"</xsd:sequence>\n" \
"</xsd:complexType>\n" \
"</xsd:element>\n" \
"<xsd:complexType name=\"void\">\n" \
"<xsd:sequence minOccurs=\"0\" maxOccurs=\"0\"></xsd:sequence>\n" \
"</xsd:complexType>\n" \
"<xsd:simpleType name=\"DAQid\">\n" \
"<xsd:restriction base=\"xsd:string\"></xsd:restriction>\n" \
"</xsd:simpleType>\n" \
"<xsd:complexType name=\"DAQidList\">\n" \
"<xsd:sequence>\n" \
"<xsd:element name=\"name\" type=\"tns:DAQid\" maxOccurs=\"unbounded\" minOccurs=\"0\"></xsd:element>\n" \
"</xsd:sequence>\n" \
"</xsd:complexType>\n" \
"<xsd:complexType name=\"nameList\">\n" \
"<xsd:sequence>\n" \
"<xsd:element name=\"name\" type=\"xsd:string\" maxOccurs=\"unbounded\" minOccurs=\"0\"></xsd:element>\n" \
"</xsd:sequence>\n" \
"</xsd:complexType>\n" \
"<xsd:complexType name=\"Status\">\n" \
"<xsd:annotation>\n" \
"<xsd:documentation>Contains the Status of a DAQObject</xsd:documentation>\n" \
"</xsd:annotation>\n" \
"<xsd:sequence>\n" \
"<xsd:element name=\"daqid\" type=\"tns:DAQid\"></xsd:element>\n" \
"<xsd:element name=\"name\" type=\"xsd:string\"></xsd:element>\n" \
"<xsd:element name=\"status\" type=\"tns:StatusType\"></xsd:element>\n" \
"<xsd:element name=\"nexpected\"\n" \
"type=\"xsd:unsignedInt\">\n" \
"</xsd:element>\n" \
"<xsd:element name=\"ntrigger\"\n" \
"type=\"xsd:unsignedInt\">\n" \
"</xsd:element>\n" \
"<xsd:element name=\"nwritten\"\n" \
"type=\"xsd:unsignedInt\">\n" \
"</xsd:element>\n" \
"<xsd:element name=\"eff\" type=\"xsd:double\"></xsd:element>\n" \
"<xsd:element name=\"rate\" type=\"xsd:double\"></xsd:element>\n" \
"<xsd:element name=\"throughput\" type=\"xsd:double\"></xsd:element>\n" \
"<xsd:element name=\"time\" type=\"xsd:double\"></xsd:element>\n" \
"</xsd:sequence>\n" \
"</xsd:complexType>\n" \
"<xsd:complexType name=\"valueType\">\n" \
"<xsd:sequence>\n" \
"<xsd:any minOccurs=\"0\" maxOccurs=\"unbounded\"></xsd:any>\n" \
"</xsd:sequence>\n" \
"</xsd:complexType>\n" \
"<xsd:complexType name=\"ParameterValue\">\n" \
"<xsd:annotation>\n" \
"<xsd:documentation>Contains the value of a parameter</xsd:documentation>\n" \
"</xsd:annotation>\n" \
"<xsd:sequence>\n" \
"<xsd:element name=\"name\" type=\"xsd:string\"></xsd:element>\n" \
"<xsd:element name=\"type\" type=\"xsd:string\"></xsd:element>\n" \
"<xsd:element name=\"value\" type=\"tns:valueType\"></xsd:element>\n" \
"</xsd:sequence>\n" \
"</xsd:complexType>\n" \
"<xsd:complexType name=\"Parameter\">\n" \
"<xsd:annotation>\n" \
"<xsd:documentation>Contains the information of a Parameter: owner and value</xsd:documentation>\n" \
"</xsd:annotation>\n" \
"<xsd:all>\n" \
"<xsd:element name=\"daqid\" type=\"tns:DAQid\"></xsd:element>\n" \
"<xsd:element name=\"value\" type=\"tns:ParameterValue\"></xsd:element>\n" \
"</xsd:all>\n" \
"</xsd:complexType>\n" \
"<xsd:complexType name=\"MaxEvents\">\n" \
"<xsd:sequence>\n" \
"<xsd:element name=\"daqid\" type=\"tns:DAQid\"></xsd:element>\n" \
"<xsd:element name=\"nevts\" type=\"xsd:int\"></xsd:element>\n" \
"</xsd:sequence>\n" \
"</xsd:complexType>\n" \
"<xsd:simpleType name=\"StatusType\">\n" \
"<xsd:restriction base=\"xsd:string\">\n" \
"<xsd:enumeration value=\"NotDefined\"></xsd:enumeration>\n" \
"<xsd:enumeration value=\"NotReady\"></xsd:enumeration>\n" \
"<xsd:enumeration value=\"GettingReady\"></xsd:enumeration>\n" \
"<xsd:enumeration value=\"Ready\"></xsd:enumeration>\n" \
"<xsd:enumeration value=\"Starting\"></xsd:enumeration>\n" \
"<xsd:enumeration value=\"Paused\"></xsd:enumeration>\n" \
"<xsd:enumeration value=\"Running\"></xsd:enumeration>\n" \
"<xsd:enumeration value=\"Stopping\"></xsd:enumeration>\n" \
"<xsd:enumeration value=\"TimeOut\"></xsd:enumeration>\n" \
"</xsd:restriction>\n" \
"</xsd:simpleType>\n" \
"<xsd:complexType name=\"ParameterID\">\n" \
"<xsd:annotation>\n" \
"<xsd:documentation>Used to request the value of a parameter</xsd:documentation>\n" \
"</xsd:annotation>\n" \
"<xsd:sequence>\n" \
"<xsd:element name=\"holderID\" type=\"xsd:string\"></xsd:element>\n" \
"<xsd:element name=\"parName\" type=\"xsd:string\"></xsd:element>\n" \
"</xsd:sequence>\n" \
"</xsd:complexType>\n" \
"<xsd:complexType name=\"nastyHack\">\n" \
"<xsd:choice>\n" \
"<xsd:element name=\"string\" type=\"xsd:string\"></xsd:element>\n" \
"<xsd:element name=\"boolean\" type=\"xsd:boolean\"></xsd:element>\n" \
"<xsd:element name=\"double\" type=\"xsd:double\"></xsd:element>\n" \
"<xsd:element name=\"float\" type=\"xsd:float\"></xsd:element>\n" \
"<xsd:element name=\"hexBinary\" type=\"xsd:hexBinary\"></xsd:element>\n" \
"<xsd:element name=\"byte\" type=\"xsd:byte\"></xsd:element>\n" \
"<xsd:element name=\"int\" type=\"xsd:int\"></xsd:element>\n" \
"<xsd:element name=\"short\" type=\"xsd:short\"></xsd:element>\n" \
"<xsd:element name=\"long\" type=\"xsd:long\"></xsd:element>\n" \
"<xsd:element name=\"unsignedByte\" type=\"xsd:unsignedByte\"></xsd:element>\n" \
"<xsd:element name=\"unsignedInt\" type=\"xsd:unsignedInt\"></xsd:element>\n" \
"<xsd:element name=\"unsignedLong\" type=\"xsd:unsignedLong\"></xsd:element>\n" \
"<xsd:element name=\"unsignedShort\" type=\"xsd:unsignedShort\"></xsd:element>\n" \
"<xsd:element name=\"base64Binary\" type=\"xsd:base64Binary\"></xsd:element>\n" \
"</xsd:choice>\n" \
"</xsd:complexType>\n" \
"<xsd:complexType name=\"ParameterUpdate\">\n" \
"<xsd:annotation>\n" \
"<xsd:documentation>\n" \
"Send the updated value of a parameter\n" \
"</xsd:documentation>\n" \
"</xsd:annotation>\n" \
"<xsd:sequence>\n" \
"<xsd:element name=\"parameter\" type=\"tns:Parameter\" minOccurs=\"0\" maxOccurs=\"unbounded\"></xsd:element>\n" \
"</xsd:sequence>\n" \
"</xsd:complexType>\n" \
"<xsd:complexType name=\"StatusUpdate\">\n" \
"<xsd:sequence>\n" \
"<xsd:element name=\"status\" type=\"tns:Status\" maxOccurs=\"unbounded\" minOccurs=\"0\"></xsd:element>\n" \
"</xsd:sequence>\n" \
"</xsd:complexType>\n" \
"<xsd:complexType name=\"Update\">\n" \
"<xsd:sequence>\n" \
"<xsd:element name=\"status\" type=\"tns:StatusUpdate\"></xsd:element>\n" \
"<xsd:element name=\"parameters\" type=\"tns:ParameterUpdate\"></xsd:element>\n" \
"</xsd:sequence>\n" \
"</xsd:complexType>\n" \
"</xsd:schema>\n" \
"</wsdl:types>\n" \
"<wsdl:message name=\"getModuleListRequest\">\n" \
"<wsdl:part name=\"getModuleListRequest\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getModuleListResponse\">\n" \
"<wsdl:part name=\"idlist\" type=\"tns:DAQidList\"/>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getRunManagerListRequest\">\n" \
"<wsdl:part name=\"getRunManagerListRequest\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getRunManagerListResponse\">\n" \
"<wsdl:part name=\"idlist\" type=\"tns:DAQidList\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getParameterNamesRequest\">\n" \
"<wsdl:part name=\"daqid\" type=\"tns:DAQid\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getParameterNamesResponse\">\n" \
"<wsdl:part name=\"idlist\" type=\"tns:DAQidList\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getStatusRequest\">\n" \
"<wsdl:part name=\"daqid\" type=\"tns:DAQid\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getStatusResponse\">\n" \
"<wsdl:part name=\"status\" type=\"tns:Status\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getParameterRequest\">\n" \
"<wsdl:part name=\"parID\" type=\"tns:ParameterID\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getParameterResponse\">\n" \
"<wsdl:part name=\"param\" type=\"tns:Parameter\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"setParameterRequest\">\n" \
"<wsdl:part name=\"param\" type=\"tns:Parameter\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"setParameterResponse\">\n" \
"<!--  <wsdl:part name=\"dummy\" type=\"tns:void\"></wsdl:part> -->\n" \
"<wsdl:part name=\"setParameterResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"StartRunRequest\">\n" \
"<wsdl:part name=\"StartRunRequest\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"StartRunResponse\">\n" \
"<wsdl:part name=\"StartRunResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"StopRunRequest\">\n" \
"<wsdl:part name=\"StopRunRequest\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"StopRunResponse\">\n" \
"<wsdl:part name=\"StopRunResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"activateRunManagerRequest\">\n" \
"<wsdl:part name=\"daqid\" type=\"tns:DAQid\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"activateRunManagerResponse\">\n" \
"<wsdl:part name=\"activateRMResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"StartRunManagerRequest\">\n" \
"<wsdl:part name=\"daqid\" type=\"tns:DAQid\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"StartRunManagerResponse\">\n" \
"<wsdl:part name=\"StartRunManagerResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"StopRunManagerRequest\">\n" \
"<wsdl:part name=\"daqid\" type=\"tns:DAQid\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"StopRunManagerResponse\">\n" \
"<wsdl:part name=\"StopRunManagerResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"GetReadyRequest\">\n" \
"<wsdl:part name=\"daqid\" type=\"tns:DAQid\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"GetReadyResponse\">\n" \
"<wsdl:part name=\"GetReadyResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"PauseRequest\">\n" \
"<wsdl:part name=\"daqid\" type=\"tns:DAQid\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"PauseResponse\">\n" \
"<wsdl:part name=\"PauseResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"ContinueRequest\">\n" \
"<wsdl:part name=\"daqid\" type=\"tns:DAQid\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"ContinueResponse\">\n" \
"<wsdl:part name=\"ContinueResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"ResetRequest\">\n" \
"<wsdl:part name=\"daqid\" type=\"tns:DAQid\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"ResetResponse\">\n" \
"<wsdl:part name=\"ResetResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"setMaxEventsRequest\">\n" \
"<wsdl:part name=\"maxEvents\" type=\"tns:MaxEvents\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"setMaxEventsResponse\">\n" \
"<wsdl:part name=\"setMaxEventsResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getMonitorDataRequest\">\n" \
"<wsdl:part name=\"daqid\" type=\"tns:DAQid\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getMonitorDataResponse\">\n" \
"<wsdl:part name=\"getMonitorDataResponse\" type=\"xsd:base64Binary\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"stopServerRequest\">\n" \
"<wsdl:part name=\"stopServerRequest\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"stopServerResponse\">\n" \
"<wsdl:part name=\"stopServerResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"resetMonitorDataRequest\">\n" \
"<wsdl:part name=\"daqid\" type=\"tns:DAQid\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"resetMonitorDataResponse\">\n" \
"<wsdl:part name=\"resetMonitorDataResponse\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"sendUpdateRequest\">\n" \
"<wsdl:part name=\"sendUpdateRequest\" type=\"xsd:int\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"sendUpdateResponse\">\n" \
"<wsdl:part name=\"update\" type=\"tns:Update\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getRunManagerModulesRequest\">\n" \
"<wsdl:part name=\"daqid\" type=\"tns:DAQid\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:message name=\"getRunManagerModulesResponse\">\n" \
"<wsdl:part name=\"idlist\" type=\"tns:DAQidList\"></wsdl:part>\n" \
"</wsdl:message>\n" \
"<wsdl:portType name=\"daqpp\">\n" \
"<wsdl:operation name=\"getModuleList\">\n" \
"<wsdl:input message=\"tns:getModuleListRequest\"/>\n" \
"<wsdl:output message=\"tns:getModuleListResponse\"/>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getRunManagerList\">\n" \
"<wsdl:input message=\"tns:getRunManagerListRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:getRunManagerListResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getParameterNames\">\n" \
"<wsdl:input message=\"tns:getParameterNamesRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:getParameterNamesResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getStatus\">\n" \
"<wsdl:input message=\"tns:getStatusRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:getStatusResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getParameter\">\n" \
"<wsdl:input message=\"tns:getParameterRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:getParameterResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"setParameter\">\n" \
"<wsdl:input message=\"tns:setParameterRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:setParameterResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"activateRunManager\">\n" \
"<wsdl:input message=\"tns:activateRunManagerRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:activateRunManagerResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"StartRunManager\">\n" \
"<wsdl:input message=\"tns:StartRunManagerRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:StartRunManagerResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"StopRunManager\">\n" \
"<wsdl:input message=\"tns:StopRunManagerRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:StopRunManagerResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"GetReady\">\n" \
"<wsdl:input message=\"tns:GetReadyRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:GetReadyResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"Pause\">\n" \
"<wsdl:input message=\"tns:PauseRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:PauseResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"Continue\">\n" \
"<wsdl:input message=\"tns:ContinueRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:ContinueResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"Reset\">\n" \
"<wsdl:input message=\"tns:ResetRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:ResetResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"setMaxEvents\">\n" \
"<wsdl:input message=\"tns:setMaxEventsRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:setMaxEventsResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getMonitorData\">\n" \
"<wsdl:input message=\"tns:getMonitorDataRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:getMonitorDataResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"resetMonitorData\">\n" \
"<wsdl:input message=\"tns:resetMonitorDataRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:resetMonitorDataResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"stopServer\">\n" \
"<wsdl:input message=\"tns:stopServerRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:stopServerResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"sendUpdate\">\n" \
"<wsdl:input message=\"tns:sendUpdateRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:sendUpdateResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getRunManagerModules\">\n" \
"<wsdl:input message=\"tns:getRunManagerModulesRequest\"></wsdl:input>\n" \
"<wsdl:output message=\"tns:getRunManagerModulesResponse\"></wsdl:output>\n" \
"</wsdl:operation>\n" \
"</wsdl:portType>\n" \
"<wsdl:binding name=\"daqppSOAP\" type=\"tns:daqpp\">\n" \
"<soap:binding style=\"rpc\"\n" \
"transport=\"http://schemas.xmlsoap.org/soap/http\" />\n" \
"<wsdl:operation name=\"getModuleList\">\n" \
"<soap:operation\n" \
"soapAction=\"http://localhost/daqpp/getModuleList\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getRunManagerList\">\n" \
"<soap:operation\n" \
"soapAction=\"http://localhost/daqpp/getRunManagerList\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getParameterNames\">\n" \
"<soap:operation\n" \
"soapAction=\"http://localhost/daqpp/getParameterNames\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getStatus\">\n" \
"<soap:operation soapAction=\"http://localhost/daqpp/getStatus\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getParameter\">\n" \
"<soap:operation\n" \
"soapAction=\"http://localhost/daqpp/getParameter\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"setParameter\">\n" \
"<soap:operation\n" \
"soapAction=\"http://localhost/daqpp/setParameter\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"activateRunManager\">\n" \
"<soap:operation\n" \
"soapAction=\"http://localhost/daqpp/activateRunManager\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"StartRunManager\">\n" \
"<soap:operation\n" \
"soapAction=\"http://localhost/daqpp/StartRunManager\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"StopRunManager\">\n" \
"<soap:operation\n" \
"soapAction=\"http://localhost/daqpp/StopRunManager\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"GetReady\">\n" \
"<soap:operation soapAction=\"http://localhost/daqpp/GetReady\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"Pause\">\n" \
"<soap:operation soapAction=\"http://localhost/daqpp/Pause\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"Continue\">\n" \
"<soap:operation soapAction=\"http://localhost/daqpp/Continue\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"Reset\">\n" \
"<soap:operation soapAction=\"http://localhost/daqpp/Reset\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"setMaxEvents\">\n" \
"<soap:operation\n" \
"soapAction=\"http://localhost/daqpp/setMaxEvents\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getMonitorData\">\n" \
"<soap:operation\n" \
"soapAction=\"http://localhost/daqpp/getMonitorData\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"stopServer\">\n" \
"<soap:operation\n" \
"soapAction=\"http://localhost/daqpp/stopServer\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"resetMonitorData\">\n" \
"<soap:operation\n" \
"soapAction=\"http://localhost/daqpp/resetMonitorData\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"sendUpdate\">\n" \
"<soap:operation\n" \
"soapAction=\"http://localhost/daqpp/sendUpdate\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"<wsdl:operation name=\"getRunManagerModules\">\n" \
"<soap:operation\n" \
"soapAction=\"http://localhost/daqpp/getRunManagerModules\" />\n" \
"<wsdl:input>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:input>\n" \
"<wsdl:output>\n" \
"<soap:body use=\"encoded\"\n" \
"namespace=\"http://localhost/daqpp/\"\n" \
"encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" />\n" \
"</wsdl:output>\n" \
"</wsdl:operation>\n" \
"</wsdl:binding>\n" \
"<wsdl:service name=\"daqpp\">\n" \
"<wsdl:port binding=\"tns:daqppSOAP\" name=\"daqppSOAP\">\n" \
"<soap:address location=\"http://localhost\"/>\n" \
"</wsdl:port>\n" \
"</wsdl:service>\n" \
"</wsdl:definitions>\n" \
};
