/* -*- mode: c++ -*- */
#ifndef __pydaqpp_Observer_h__
#define __pydaqpp_Observer_h__
#include <DAQ++/ObserverModel.h>
class pyObserver;

typedef struct {
      PyObject_HEAD
      /* Type-specific fields go here. */
      PyObject *dict;
      pyObserver *obs;
} daqpp_Observer;
#define OBSERVER(O) (((daqpp_Observer *)O)->obs)


class pyObserver : public Observer {
   private:
      PyObject *pyfunc;
   public:
      pyObserver(PyObject *o);
      ~pyObserver();
      void update(Observable *o, Argument *arg);
      int check_attributes();
      static PyObject *get_value(Argument *arg);
};
int PyObserver_Check(PyObject *);
#endif
