#!/usr/bin/env python
import sys

import random
import array
import time
import daqpp

def test_1(bf):
    print bf.type,bf.itemsize,bf.size,bf.nitems
    print bf[2]
    print bf
    print type(bf)	
    

def test():
    print 'Creating a DAQpp.Buffer'
    a = daqpp.Buffer('d',[ 0. for x in range(0,10) ] )
    print a
    
    print '\nCreating another buffer from the previous one'
    bf = daqpp.Buffer('d',a)
    print bf
    
    print '\nNow I will check that they share the same memory'
    print 'Setting bf[1]=2'
    bf[1]=2.
    print 'a:  ',a
    print 'bf: ',bf

    print '\nNow we check the indexing...'
    i=0
    for x in bf:
        print x,' : ',bf[i],a[i]
        i += 1

    print '\nNow we check assignment'
    for i in range(0,len(bf)):
        a[i] = 2.*i;
        
    i=0
    for x in bf:
        print i,' : ',bf[i],a[i]
        i += 1
    
    print '\nNow we check slicing'
    i = 0
    b = a[0:5]
    print 'slice id: %x original ID: %x' % (id(b),id(a))
    print 'slice  original'
    for x in b:
        print '%5.2f %5.2f' % (x, a[i])
        i = i +1
    

    print '\nNow we test changing the buffer item type'
    test_1(bf)
    bf.type='f'
    test_1(bf)

if __name__ == '__main__':
    test()
