#!/usr/bin/env python
import sys

import daqpp


def header(data):
    return "The header %s\n" % data

def tail(data):
    return "The tail %s\n" % data

def test():
    fm = daqpp.FileIOManager(0,50000)
    fm.set_header_func(header,'header data')
    fm.set_tail_func(tail,'tail data')

    data = []
    for x in range(1,10):
        data.append("line %d\n" % x)
        
    fm.open('IO.out')
    for x in data:
        fm.write(x,len(x))
        
    fm.close()

    fm.reset_header_func()
    fm.reset_tail_func()

if __name__ == '__main__':
    test()
