#include <iostream>
#include "random.h"
#include "MyModule.h"

bool MyModule::hasData()
{
    return (  randuniform() < eff ) ;
}

char *MyModule::getData(int &size)
{
    unsigned long *data;
    char *buff;

    int chan = int(capacity * randuniform());
    int id = 0x100;
    int i, j;
    double vv;

    int nwords = 4 + (capacity & 0xfff);
    size   = nwords * sizeof(long);
    buff   = allocate( size );
    data   = reinterpret_cast<unsigned long *>(buff);
    data[0] = 0xcafe0000 | nwords;
    data[1] = 1;
    data[2] = (id & 0xfff) << 20 | (capacity & 0xfff) | 2 << 12 ;
    for (j = 3, i = 0;i < capacity;i++, j++)
    {
        vv = randgauss(0., 3.);
        data[j] = 200 + ((int)(vv) & 0x7ff);
    }
    data[chan+3] += (int)(randgauss(1000., 50));
    data[j] =  nwords;
    return buff;
}
